Skip to main content
GET
/
payout
/
v1
/
getBulkValidationStatus
Get Bulk Verification Status
curl --request GET \
  --url https://payout-api.cashfree.com/payout/v1/getBulkValidationStatus \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
{
  "status": "SUCCESS",
  "subCode": 200,
  "data": {
    "bulkValidationId": "testname",
    "entries": {
      "00011020001772_HDFC0000001": {
        "bankAccount": 11020001772,
        "ifsc": "HDFC0000001",
        "name": "John Doe",
        "phone": 7709736537,
        "nameAtBank": "John Doe",
        "accountExists": "YES",
        "refId": 1097293,
        "message": "Amount Deposited Successfully",
        "nameMatchScore": 100,
        "nameMatchResult": "DIRECT_MATCH"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This API will be retired soon. Please plan to migrate to the latest version, Get Bulk BAV Status V2.

Headers

Authorization
string
required

Bearer Auth Token

Content-Type
string
required

application/json

Query Parameters

bulkValidationId
string
required

It is the unique ID created to identify the bulk bank validation request.

Example:

"A45"

bankAccount
string

It is the bank account number whose status needs to be retried (6 to 40 character limit).

Example:

"00011020001772"

ifsc
string

The IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.

Example:

"HDFC0000001"

Response

Accepted

status
string

It represents the status of the API request.

Example:

"SUCCESS"

subCode
string

It represents the sub code of the API request.

Example:

200

data
object

It contains the bulk request information